package com.mortals.xhx.module.site.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.vo.SiteMatterAssistVo;
/**
* 辅助接件事项实体对象
*
* @author zxfei
* @date 2023-03-17
*/

public class SiteMatterAssistEntity extends SiteMatterAssistVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点事项id
    */
    private Long siteMatterId;
    /**
    * 事项ID
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 事项编码
    */
    private String matterCode;
    /**
    * 部门ID
    */
    private Long deptId;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 部门编码
    */
    private String deptCode;
    /**
    * 股室ID
    */
    private Long officeId;
    /**
    * 股室名称
    */
    private String officeName;
    /**
    * 负责人姓名
    */
    private String dutyer;
    /**
    * 联系电话
    */
    private String telephone;
    /**
    * 政务网地址
    */
    private String govUrl;



    public SiteMatterAssistEntity(){}
    /**
    * 获取 站点事项id
    * @return Long
    */
    public Long getSiteMatterId(){
        return siteMatterId;
    }
    /**
    * 设置 站点事项id
    * @param siteMatterId
    */
    public void setSiteMatterId(Long siteMatterId){
        this.siteMatterId = siteMatterId;
    }
    /**
    * 获取 事项ID
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项ID
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 事项编码
    * @return String
    */
    public String getMatterCode(){
        return matterCode;
    }
    /**
    * 设置 事项编码
    * @param matterCode
    */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
    * 获取 部门ID
    * @return Long
    */
    public Long getDeptId(){
        return deptId;
    }
    /**
    * 设置 部门ID
    * @param deptId
    */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
    * 获取 部门名称
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 部门名称
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 部门编码
    * @return String
    */
    public String getDeptCode(){
        return deptCode;
    }
    /**
    * 设置 部门编码
    * @param deptCode
    */
    public void setDeptCode(String deptCode){
        this.deptCode = deptCode;
    }
    /**
    * 获取 股室ID
    * @return Long
    */
    public Long getOfficeId(){
        return officeId;
    }
    /**
    * 设置 股室ID
    * @param officeId
    */
    public void setOfficeId(Long officeId){
        this.officeId = officeId;
    }
    /**
    * 获取 股室名称
    * @return String
    */
    public String getOfficeName(){
        return officeName;
    }
    /**
    * 设置 股室名称
    * @param officeName
    */
    public void setOfficeName(String officeName){
        this.officeName = officeName;
    }
    /**
    * 获取 负责人姓名
    * @return String
    */
    public String getDutyer(){
        return dutyer;
    }
    /**
    * 设置 负责人姓名
    * @param dutyer
    */
    public void setDutyer(String dutyer){
        this.dutyer = dutyer;
    }
    /**
    * 获取 联系电话
    * @return String
    */
    public String getTelephone(){
        return telephone;
    }
    /**
    * 设置 联系电话
    * @param telephone
    */
    public void setTelephone(String telephone){
        this.telephone = telephone;
    }
    /**
    * 获取 政务网地址
    * @return String
    */
    public String getGovUrl(){
        return govUrl;
    }
    /**
    * 设置 政务网地址
    * @param govUrl
    */
    public void setGovUrl(String govUrl){
        this.govUrl = govUrl;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteMatterAssistEntity) {
            SiteMatterAssistEntity tmp = (SiteMatterAssistEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteMatterId:").append(getSiteMatterId());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",officeId:").append(getOfficeId());
        sb.append(",officeName:").append(getOfficeName());
        sb.append(",dutyer:").append(getDutyer());
        sb.append(",telephone:").append(getTelephone());
        sb.append(",govUrl:").append(getGovUrl());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteMatterId = null;

            this.matterId = null;

            this.matterName = "";

            this.matterCode = "";

            this.deptId = null;

            this.deptName = "";

            this.deptCode = "";

            this.officeId = null;

            this.officeName = "";

            this.dutyer = "";

            this.telephone = "";

            this.govUrl = "";
    }
}