package com.mortals.xhx.module.app.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.app.model.vo.AppVersionVo;
/**
 * 自助终端应用版本历史实体对象
 *
 * @author zxfei
 * @date 2022-12-01
 */

public class AppVersionEntity extends AppVersionVo {
    private static final long serialVersionUID = 1L;

    /**
     * app应用Id
     */
    private Long appId;
    /**
     * 应用名称
     */
    private String appName;
    /**
     * 版本号
     */
    private Integer version;
    /**
     * 更新说明
     */
    private String notes;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 文件相对路径地址
     */
    private String filePath;
    /**
     * 文件部署路径地址
     */
    private String distributeFilePath;
    /**
     * 是否使用(0.否，1.是)
     */
    private Integer used;



    public AppVersionEntity(){}
    /**
     * 获取 app应用Id
     * @return Long
     */
    public Long getAppId(){
        return appId;
    }
    /**
     * 设置 app应用Id
     * @param appId
     */
    public void setAppId(Long appId){
        this.appId = appId;
    }
    /**
     * 获取 应用名称
     * @return String
     */
    public String getAppName(){
        return appName;
    }
    /**
     * 设置 应用名称
     * @param appName
     */
    public void setAppName(String appName){
        this.appName = appName;
    }
    /**
     * 获取 版本号
     * @return Integer
     */
    public Integer getVersion(){
        return version;
    }
    /**
     * 设置 版本号
     * @param version
     */
    public void setVersion(Integer version){
        this.version = version;
    }
    /**
     * 获取 更新说明
     * @return String
     */
    public String getNotes(){
        return notes;
    }
    /**
     * 设置 更新说明
     * @param notes
     */
    public void setNotes(String notes){
        this.notes = notes;
    }
    /**
     * 获取 文件名称
     * @return String
     */
    public String getFileName(){
        return fileName;
    }
    /**
     * 设置 文件名称
     * @param fileName
     */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }
    /**
     * 获取 文件相对路径地址
     * @return String
     */
    public String getFilePath(){
        return filePath;
    }
    /**
     * 设置 文件相对路径地址
     * @param filePath
     */
    public void setFilePath(String filePath){
        this.filePath = filePath;
    }
    /**
     * 获取 文件部署路径地址
     * @return String
     */
    public String getDistributeFilePath(){
        return distributeFilePath;
    }
    /**
     * 设置 文件部署路径地址
     * @param distributeFilePath
     */
    public void setDistributeFilePath(String distributeFilePath){
        this.distributeFilePath = distributeFilePath;
    }
    /**
     * 获取 是否使用(0.否，1.是)
     * @return Integer
     */
    public Integer getUsed(){
        return used;
    }
    /**
     * 设置 是否使用(0.否，1.是)
     * @param used
     */
    public void setUsed(Integer used){
        this.used = used;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppVersionEntity) {
            AppVersionEntity tmp = (AppVersionEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",appId:").append(getAppId());
        sb.append(",appName:").append(getAppName());
        sb.append(",version:").append(getVersion());
        sb.append(",notes:").append(getNotes());
        sb.append(",fileName:").append(getFileName());
        sb.append(",filePath:").append(getFilePath());
        sb.append(",distributeFilePath:").append(getDistributeFilePath());
        sb.append(",used:").append(getUsed());
        return sb.toString();
    }

    public void initAttrValue(){

        this.appId = null;

        this.appName = "";

        this.version = 0;

        this.notes = "";

        this.fileName = "";

        this.filePath = "";

        this.distributeFilePath = "";

        this.used = 0;
    }
}