package com.mortals.xhx.module.single.web;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.site.model.SiteMatterEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.single.model.SingleMatterEntity;
import com.mortals.xhx.module.single.service.SingleMatterService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 单事项
*
* @author zxfei
* @date 2023-03-21
*/
@RestController
@RequestMapping("single/matter")
public class SingleMatterController extends BaseCRUDJsonBodyMappingController<SingleMatterService,SingleMatterEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SingleMatterController(){
        super.setModuleDesc( "单事项");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "source", paramService.getParamBySecondOrganize("SingleMatter","source"));
        this.addDict(model, "isConvert", paramService.getParamBySecondOrganize("SingleMatter","isConvert"));
        super.init(model, context);
    }

    @Override
    protected int viewAfter(Long id, Map<String, Object> model, SingleMatterEntity entity, Context context) throws AppException {
        this.service.addViewsCount(id);
        return 1;
    }

    @Override
    protected void doListBefore(SingleMatterEntity query, Map<String, Object> model, Context context) throws AppException {
        Map<String,String> orderMap = new HashMap<>();
        orderMap.put("viewsCount","DESC");
        query.setOrderCols(orderMap);
        super.doListBefore(query,model,context);
    }

}